﻿// <auto-generated />
using System;
using DailyPlanDatabase;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;

namespace DailyPlanWebService.Migrations
{
    [DbContext(typeof(DailyPlanDbContext))]
    partial class DailyPlanDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasDefaultSchema("dailyPlan-db")
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.SerialColumn)
                .HasAnnotation("ProductVersion", "2.2.6-servicing-10079")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("DailyPlanDatabase.Models.DailyPlan", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("CurrentDate")
                        .HasColumnType("date");

                    b.Property<int>("DayOfWeek");

                    b.Property<int>("UserId");

                    b.HasKey("Id");

                    b.ToTable("DailyPlans");
                });

            modelBuilder.Entity("DailyPlanDatabase.Models.JobToDailyPlan", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("DailyPlanId");

                    b.Property<int>("JobId");

                    b.HasKey("Id");

                    b.ToTable("JobToDailyPlans");
                });
#pragma warning restore 612, 618
        }
    }
}
